Magento Patch: SUPEE-10415.

Op 28 november heeft Magento haar laatste patch (SUPEE-10415) uitgebracht. Deze patch dicht verschillende lekken. Om ervoor te zorgen dat je website beschermd is tegen hacks adviseren wij deze patch te installeren of om je Magento versie te upgraden naar versie 1.9.3.7

Stap 1: Controleer jouw Magento versie

Voor de verschillende Magento 1 versies zijn afzonderlijke SUPEE-10415 patches verschenen. Het is uiterst belangrijk dat je de correcte versie van de patch installeert. Je Magento-versie kun je onderaan in de backend zien of via SSH inloggen en dan onderstaande regel uitvoeren vanuit de Magento installatie dir (public_html):

grep -A6 ‘static function getVersionInfo’ app/Mage.php

Stap 2: Heb je Magento 2

Patch SUPEE-10415 is bestemd voor Magento 1 versies, heb je Magento 2? Update dan naar de laatste Magento 2 versie (2.2.1).

Stap 3: Back-up & test

We raden aan om, voordat je gaat patchen, altijd eerst een back-up van je website te maken. Mochten er problemen ontstaan na het patchen dan kun je snel terug naar de oude situatie. Test de patch daarnaast ook altijd eerst uitvoerig in je testomgeving.

Stap 4: Log in met SSH

Log in met SSH (Nog niet verbonden met SSH? Doe dat dan eerst. Het verbinden met SSH kan op drie manieren. Voor alle drie de manieren hebben wij een handleiding geschreven: SSH verbinden met Windows, SSH verbinden met Mac OS X of SSH verbinden met Linux.) op de server van jouw domeinnaam.

Stap 5: Patch uitvoeren

#Patch downloaden

1.5.0.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.5.0.0_v1-2017-11-27-05-02-28.sh

1.5.0.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.5.0.1_v1-2017-11-27-05-03-39.sh

1.5.1.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.5.1.0_v1-2017-11-27-05-04-49.sh

1.6.0.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.6.0.0_v1-2017-11-27-05-05-36.sh

1.6.1.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.6.1.0_v1-2017-11-27-05-06-28.sh

1.6.2.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.6.2.0_v1-2017-11-27-05-08-27.sh

1.7.0.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.7.0.0_v1-2017-11-27-05-22-42.sh

1.7.0.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.7.0.1_v1-2017-11-27-05-40-22.sh

1.7.0.2

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.7.0.2_v1-2017-11-27-05-41-20.sh

1.8.0.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.8.0.0_v1-2017-11-27-05-42-41.sh

1.8.1.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.8.1.0_v1-2017-11-27-05-43-31.sh

1.9.0.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.0.0_v1-2017-11-27-05-44-37.sh

1.9.0.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.0.1_v1-2017-11-27-05-45-26.sh

1.9.1.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.1.0_v1-2017-11-27-05-46-11.sh

1.9.1.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.1.1_v1-2017-11-27-05-47-08.sh

1.9.2.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.2.0_v1-2017-11-27-06-47-46.sh

1.9.2.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.2.1_v1-2017-11-27-06-48-49.sh

1.9.2.2

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.2.2_v1-2017-11-27-06-50-04.sh

1.9.2.3

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.2.3_v1-2017-11-27-06-50-52.sh

1.9.2.4

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.2.4_v1-2017-11-27-06-51-32.sh

1.9.3.0

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.0_v1-2017-11-28-06-36-48.sh

1.9.3.1

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.1_v1-2017-11-28-06-37-31.sh

1.9.3.2

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.2_v1-2017-11-28-06-38-23.sh

1.9.3.3

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.3_v1-2017-11-28-06-41-34.sh

1.9.3.4 – 1.9.3.5

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.4_v1-2017-11-28-06-42-24.sh

1.9.3.6

wget http://repo.skyberate.nl/patch-supee-10415/PATCH_SUPEE-10415_CE_1.9.3.6_v1-2017-11-28-06-44-23.sh

 

#Patch installeren

1.5.0.0

sh PATCH_SUPEE-10415_CE_1.5.0.0_v1-2017-11-27-05-02-28.sh

1.5.0.1

sh PATCH_SUPEE-10415_CE_1.5.0.1_v1-2017-11-27-05-03-39.sh

1.5.1.0

sh PATCH_SUPEE-10415_CE_1.5.1.0_v1-2017-11-27-05-04-49.sh

1.6.0.0

sh PATCH_SUPEE-10415_CE_1.6.0.0_v1-2017-11-27-05-05-36.sh

1.6.1.0

sh PATCH_SUPEE-10415_CE_1.6.1.0_v1-2017-11-27-05-06-28.sh

1.6.2.0

sh PATCH_SUPEE-10415_CE_1.6.2.0_v1-2017-11-27-05-08-27.sh

1.7.0.0

sh PATCH_SUPEE-10415_CE_1.7.0.0_v1-2017-11-27-05-22-42.sh

1.7.0.1

sh PATCH_SUPEE-10415_CE_1.7.0.1_v1-2017-11-27-05-40-22.sh

1.7.0.2

sh PATCH_SUPEE-10415_CE_1.7.0.2_v1-2017-11-27-05-41-20.sh

1.8.0.0

sh PATCH_SUPEE-10415_CE_1.8.0.0_v1-2017-11-27-05-42-41.sh

1.8.1.0

sh PATCH_SUPEE-10415_CE_1.8.1.0_v1-2017-11-27-05-43-31.sh

1.9.0.0

sh PATCH_SUPEE-10415_CE_1.9.0.0_v1-2017-11-27-05-44-37.sh

1.9.0.1

sh PATCH_SUPEE-10415_CE_1.9.0.1_v1-2017-11-27-05-45-26.sh

1.9.1.0

sh PATCH_SUPEE-10415_CE_1.9.1.0_v1-2017-11-27-05-46-11.sh

1.9.1.1

sh PATCH_SUPEE-10415_CE_1.9.1.1_v1-2017-11-27-05-47-08.sh

1.9.2.0

sh PATCH_SUPEE-10415_CE_1.9.2.0_v1-2017-11-27-06-47-46.sh

1.9.2.1

sh PATCH_SUPEE-10415_CE_1.9.2.1_v1-2017-11-27-06-48-49.sh

1.9.2.2

sh PATCH_SUPEE-10415_CE_1.9.2.2_v1-2017-11-27-06-50-04.sh

1.9.2.3

sh PATCH_SUPEE-10415_CE_1.9.2.3_v1-2017-11-27-06-50-52.sh

1.9.2.4

sh PATCH_SUPEE-10415_CE_1.9.2.4_v1-2017-11-27-06-51-32.sh

1.9.3.0

sh PATCH_SUPEE-10415_CE_1.9.3.0_v1-2017-11-28-06-36-48.sh

1.9.3.1

sh PATCH_SUPEE-10415_CE_1.9.3.1_v1-2017-11-28-06-37-31.sh

1.9.3.2

sh PATCH_SUPEE-10415_CE_1.9.3.2_v1-2017-11-28-06-38-23.sh

1.9.3.3

sh PATCH_SUPEE-10415_CE_1.9.3.3_v1-2017-11-28-06-41-34.sh

1.9.3.4 – 1.9.3.5

sh PATCH_SUPEE-10415_CE_1.9.3.4_v1-2017-11-28-06-42-24.sh

1.9.3.6

sh PATCH_SUPEE-10415_CE_1.9.3.6_v1-2017-11-28-06-44-23.sh

#Cache legen

rm -rf var/cache/*

Stap 6: Indien van toepassing de Redis cache legen

n98-magerun cache:flush

Stap 7: Mogelijke issueus

Hunk Failed melding: de patch kan dan niet geïnstalleerd worden.

Let op: Als het patchen mislukt, dan kan het zijn dat SUPEE-10570v1 geïnstalleerd is. De aanbevolen oplossing is om patch SUPEE-10570v1 terug te draaien en SUPEE-10570v2 toe te passen voordat je SUPEE-10752 installeert.

#Patch ongedaan maken

Voor meer informatie over hoe je Magento patches toe kan passen of terug kan draaien, klik hier

Belangrijk

Skyberate kan je niet helpen bij de daadwerkelijke installatie van een patch. Neem hiervoor contact op met de ontwikkelaar van jouw website of kijk op onze partnerpagina en raadpleeg één van onze Magento Partners

Contact 

Mocht je nog vragen hebben naar aanleiding van deze handleiding, neem dan contact met ons op. Dit kan via info@skyberate.nl of 0316-712000.

in Magento patch handleiding
Heeft deze handleiding jouw vraag beantwoord?